#/bin/bash

#Script shell permettant d'envoyer une alerte par SMS
# Necessite boobmsg (contenu dans le package weboob)
# $1  : numéro de téléphone
# $2  : message (facultatif)
messageParDefaut="Alerte Jeedom"

## Installation et paramétrage de weboob pour Jeedom :
# sudo apt-get install weboob

# sudo mkdir /var/www/.config
# sudo chown www-data:www-data /var/www/.config
# sudo mkdir /var/www/.local
# sudo chown www-data:www-data /var/www/.local
# sudo su - www-data -c 'weboob-config add sfr'
# Entrez l'identifiant et le mot de passe de votre interface de gestion SFR

if [ "$#" -eq 0 ]; then
  echo 'Usage : ./sendSMS.sh <phone number> [<text message>]'
  exit 1
fi

numero=$1
if [ "$#" -eq 1 ]; then
  message=$messageParDefaut
else
  message=$2
fi

if [ "$#" -gt 2 ]; then
  i=1
  for var in "$@"
  do
    if [ $i -gt 2 ];then
      message="$message $var"
    fi
    i=$(( $i + 1 ))
  done

fi

boobmsg post "$numero@sfr" "$message"
